Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.common.i18n
Class I18NTools

    java.lang.Object
      org.jboss.portal.common.i18n.I18NTools

    public class I18NTools

extends java.lang.Object

Version:
  $Revision: 7228 $
Author:
  Julien Viet

Constructor Summary
`I18NTools()`

Method Summary
`static java.lang.String` | `computeTrailingName(java.util.Locale locale)` Compute the trailing name for a given locale.
`static java.lang.String` | `getRFC3066LanguageTagFor(java.util.Locale locale)` Retrieves the language identification tag associated to the specified Locale as defined by IETF RFC 3066 limited to 2-letter language code per ISO standard 639, a "-" (dash) and a 2-letter country code per ISO 3166 alpha-2 country codes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### I18NTools

    public I18NTools()

Method Detail

### getRFC3066LanguageTagFor

    public static java.lang.String getRFC3066LanguageTagFor(java.util.Locale locale)

  Retrieves the language identification tag associated to the specified Locale as defined by IETF RFC 3066 limited to 2-letter language code per ISO standard 639, a "-" (dash) and a 2-letter country code per ISO 3166 alpha-2 country codes. E.g. "en-US" for American English, "en-GB" for British English, etc.

  Parameters:
    `locale` - the locale which language tag is wanted
  Returns:
    a IETF RFC 3066-compatible language tag.
  Throws:
    `java.lang.IllegalArgumentException` - if the given locale is not valid
  Since:
    2.4

### computeTrailingName

    public static java.lang.String computeTrailingName(java.util.Locale locale)
                                                throws java.lang.IllegalArgumentException

  Compute the trailing name for a given locale.

  Parameters:
    `locale` - the locale
  Returns:
    the trailing name
  Throws:
    `java.lang.IllegalArgumentException` - if locale is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.